ForceFields::MMFF::MMFFBndkCollection Class Reference

`#include <Params.h>`

## Public Member Functions

const MMFFBond * | operator() (const int atomicNum, const int nbrAtomicNum)
| Looks up the parameters for a particular key and returns them. More...

## Static Public Member Functions

static MMFFBndkCollection * | getMMFFBndk (const std::string &mmffBndk="")
| gets a pointer to the singleton MMFFBndkCollection More...

## Detailed Description

Definition at line 503 of file MMFF/Params.h.

## Member Function Documentation

static MMFFBndkCollection* ForceFields::MMFF::MMFFBndkCollection::getMMFFBndk | ( | const std::string & | mmffBndk = `""` | ) |

static

gets a pointer to the singleton MMFFBndkCollection

Parameters

  mmffBndk | (optional) a string with parameter data. See below for more information about this argument

Returns
  a pointer to the singleton MMFFBndkCollection

Notes:

- do not delete the pointer returned here
- if the singleton MMFFBndkCollection has already been instantiated and `mmffBndk` is empty, the singleton will be returned.
- if `mmffBndk` is empty and the singleton MMFFBndkCollection has not yet been instantiated, the default parameters (from Params.cpp) will be used.
- if `mmffBndk` is supplied, a new singleton will be instantiated. The current instantiation (if there is one) will be deleted.

const MMFFBond* ForceFields::MMFF::MMFFBndkCollection::operator() | ( | const int | atomicNum,
|  | const int | nbrAtomicNum
| ) |  |

inline

Looks up the parameters for a particular key and returns them.

Returns
  a pointer to the MMFFBndk object, NULL on failure.

Definition at line 527 of file MMFF/Params.h.

The documentation for this class was generated from the following file:

- MMFF/Params.h